org.apache.olingo.client.api.domain

## Interface ClientValue

- All Known Subinterfaces:
    ClientCollectionValue<T>, ClientComplexValue, ClientEnumValue, ClientPrimitiveValue
  All Known Implementing Classes:
    AbstractClientValue

      public interface ClientValue

  Abstract representation of an OData entity property value.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends ClientValue> ClientCollectionValue<T>` | `asCollection()` Casts to collection value.
    `ClientComplexValue` | `asComplex()` Casts to complex value.
    `ClientEnumValue` | `asEnum()` Casts to enum value.
    `ClientPrimitiveValue` | `asPrimitive()` Casts to primitive value.
    `String` | `getTypeName()` Gets value type name.
    `boolean` | `isCollection()` Check is is a collection value.
    `boolean` | `isComplex()` Check is is a linked complex value.
    `boolean` | `isEnum()` Check is is an enum value.
    `boolean` | `isPrimitive()` Check is is a primitive value.

- - ### Method Detail

    - #### getTypeName

          String getTypeName()

      Gets value type name.
      Returns:
        value type name.

    - #### isPrimitive

          boolean isPrimitive()

      Check is is a primitive value.
      Returns:
        'TRUE' if primitive; 'FALSE' otherwise.

    - #### asPrimitive

          ClientPrimitiveValue asPrimitive()

      Casts to primitive value.
      Returns:
        primitive value.

    - #### isCollection

          boolean isCollection()

      Check is is a collection value.
      Returns:
        'TRUE' if collection; 'FALSE' otherwise.

    - #### asCollection

          <T extends ClientValue> ClientCollectionValue<T> asCollection()

      Casts to collection value.
      Type Parameters:
        `T` - The actual ODataValue interface.
      Returns:
        collection value.

    - #### asComplex

          ClientComplexValue asComplex()

      Casts to complex value.
      Returns:
        complex value.

    - #### isComplex

          boolean isComplex()

      Check is is a linked complex value.
      Returns:
        'TRUE' if linked complex; 'FALSE' otherwise.

    - #### isEnum

          boolean isEnum()

      Check is is an enum value.
      Returns:
        'TRUE' if enum; 'FALSE' otherwise.

    - #### asEnum

          ClientEnumValue asEnum()

      Casts to enum value.
      Returns:
        enum value.

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.